---
title: "Get manual collections"
description: "Get a list of manual collections in the store."
doc_type: openapi
doc_category: openapi
doc_version: v20270301
source_url:
  html: 'https://developer.shopline.com/docs/admin-rest-api/product/collection/get-manual-collections'
  md: 'https://developer.shopline.com/docs/admin-rest-api/product/collection/get-manual-collections.md'
---
# Get manual collections

Get a list of manual collections in the store. 

- **Base URL:** `https://{handle}.myshopline.com/admin/openapi`
- **Required Scopes:** `read_products`
- **API Version:** v20270301
- **API Type:** Admin
- **API Protocol:** RESTful

## Endpoint

```http
GET /products/custom_collections.json
```

## Base URL

* `https://{handle}.myshopline.com/admin/openapi`

  * `{handle}`: `handle` : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is `open001.myshopline.com` , the store handle is `open001` .

## Required Permissions

* `read_products`

## Request

### Query Parameters

* `limit`

  string (optional)

  The quantity limit of collections to be queried.  <br/>
  Value range: 1-250  <br/>
  Default value: 50  

* `page_info`

  string (optional)

  The unique identifier for pagination queries, used to locate a specific page. 
  
  This parameter value is obtained from the `link` value in the response header of this API after you have queried the pagination information. 
  
  For example, if the `link` value you obtained is `<https://{handle}.myshopline.com/admin/openapi/{version}/products/custom_collections.json?limit=1&page_info=eyJzaW5jZUlkIjoiMTYwNTc1OTAxNTM4OTA4Mjk1MjExMTI3ODgiLCJkaXJlY3Rpb24iOiJuZXh0IiwibGltaXQiOjF9>; rel="next"` , the value of `page_info` is `eyJzaW5jZUlkIjoiMTYwNTc1OTAxNTM4OTA4Mjk1MjExMTI3ODgiLCJkaXJlY3Rpb24iOiJuZXh0IiwibGltaXQiOjF9` . 
  
  For more information on how to use pagination, refer to [Paging Mechanism](https://developer.shopline.com/docs/apps/api-instructions-for-use/paging-mechanism.md).

* `title`

  string (optional)

  The title of the collection.<br/>
  Maximum length: 255

* `updated_at_max`

  string (optional)

  Specify the latest update time for the collection to be queried. Collections updated before this time will be returned. Format: [ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html).

* `fields`

  string (optional)

  Specify the fields to be returned, with multiple fields separated by commas. For available fields, refer to the top-level child parameters under the `custom_collections` object in the response. 

* `ids`

  string (optional)

  The unique identifiers for collections to query, with multiple IDs separated by commas.

* `since_id`

  string (optional)

  The ID of a specific collection. Start querying collections from this specified ID.

* `updated_at_min`

  string (optional)

  Specify the earliest update time for the collection to be queried. Collections updated on and after this time will be returned. Format: [ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html).

* `handle`

  string (optional)

  The semantically unique identifier for the collection, which is generated based on `title` by default.  <br/>
  Maximum length: 255

### Request Headers

* `Content-Type`

  string (required)

  The field must be set to the fixed value `application/json; charset=utf-8`.

* `Authorization`

  string (required)

   The access token for the API resource. Refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then pass the obtained token in the Bearer format. 

## Response

### Status Codes

* `200`

  For the complete list of codes and messages, see [Http status code](https://developer.shopline.com/docs/apps/api-instructions-for-use/http-status-code.md?lang=en).

* `401`

  

* `429`

  

### Response Headers

* `link`

  The URL link that provides the pagination data. You can obtain `page_info` from this parameter for subsequent pagination requests. 
  
  This parameter is returned when the requested page has a previous or next page. 
  
  For more information on how to use pagination, refer to [Paging Mechanism](https://developer.shopline.com/docs/apps/api-instructions-for-use/paging-mechanism.md).

* `traceId`

  A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise.

### Response Body

#### 200

* `custom_collections`

  array<object>

  Collection information.

  * `created_at`

    string

    The date and time when the collection was created. Format: [ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html).

  * `handle`

    string

    The semantically unique identifier for the collection, which is generated based on `title` by default.

  * `id`

    string

    The unique identifier for the collection.

  * `published_scope`

    string

    The published scope of collection sales channels. The value of this field is fixed to `web`, indicating an online store. 

  * `title`

    string

    The title of the collection.

  * `updated_at`

    string

    The date and time when the collection was last updated. Format: [ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html).

  * `banner`

    object

    The cover image of the collection.

    * `alt`

      string

      The alternative textual description of the image, usually a word or phrase with the characteristics or content of the image.

    * `src`

      string

      The link to the image, represented as a URL.

  * `body_html`

    string

    The collection description. 

  * `image`

    object

    Collection image.

    * `alt`

      string

      The alternative textual description of the image, usually a word or phrase with the characteristics or content of the image.

    * `src`

      string

      The link to the image, represented as a URL.

  * `path`

    string

    The relative path of the collection page.

  * `published_at`

    string

    The date and time when the collection was published to the online store. Format:[ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html).

  * `sort_order`

    string

    Indicate the sorting method of collections:
    - `best-selling`: Sort by sales volume from high to low.  
    - `alpha-asc`: Sort by collection name from A to Z.  
    - `alpha-desc`: Sort by collection name from Z to A.  
    - `updated-desc`: Sort by update time from new to old.  
    - `updated-asc`: Sort by update time from old to new.  
    - `manual`: Sort by custom order.  

  * `template_path`

    string

    The template of theme.


#### 401

* `errors`

  string

  Error message. 


#### 429

* `errors`

  string

  Error message. 


## OpenAPI Definition

```json
{
  "tags": [
    "Get manual collections"
  ],
  "description": "Get a list of manual collections in the store. ",
  "externalDocs": {
    "description": "Permission point used by the interface is `read_products` , For more information about the use of permission points, see",
    "url": "ec20/3cv5d7wpfgr6a8z5/xabczf5442284vkq?lang=en",
    "errorTableDescription": ""
  },
  "operationId": "pGM2yLvm",
  "parameters": [
    {
      "name": "limit",
      "in": "query",
      "description": "The quantity limit of collections to be queried.  <br/>\nValue range: 1-250  <br/>\nDefault value: 50  ",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "limit",
        "description": "The quantity limit of collections to be queried.  <br/>\nValue range: 1-250  <br/>\nDefault value: 50  ",
        "type": "string"
      },
      "examples": {
        "Get manual collections by specifying IDs": {
          "value": "50"
        },
        "Get manual collections by specifying fields": {
          "value": "50"
        },
        "Get manual collections by specifying pagination info": {
          "value": "50"
        },
        "Get manual collections by specifying the time range": {
          "value": "50"
        }
      }
    },
    {
      "name": "page_info",
      "in": "query",
      "description": "The unique identifier for pagination queries, used to locate a specific page. \n\nThis parameter value is obtained from the `link` value in the response header of this API after you have queried the pagination information. \n\nFor example, if the `link` value you obtained is `<https://{handle}.myshopline.com/admin/openapi/{version}/products/custom_collections.json?limit=1&page_info=eyJzaW5jZUlkIjoiMTYwNTc1OTAxNTM4OTA4Mjk1MjExMTI3ODgiLCJkaXJlY3Rpb24iOiJuZXh0IiwibGltaXQiOjF9>; rel=\"next\"` , the value of `page_info` is `eyJzaW5jZUlkIjoiMTYwNTc1OTAxNTM4OTA4Mjk1MjExMTI3ODgiLCJkaXJlY3Rpb24iOiJuZXh0IiwibGltaXQiOjF9` . \n\nFor more information on how to use pagination, refer to [Paging Mechanism](https://developer.shopline.com/docs/apps/api-instructions-for-use/paging-mechanism.md).",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "page_info",
        "description": "The unique identifier for pagination queries, used to locate a specific page. This parameter value is obtained from the `link` value in the response header of this API after you have queried the pagination information. For example, if the `link` value you obtained is `<https://\\{handle\\}.myshopline.com/admin/openapi/\\{version\\}/products/products.json? limit=1&page_info=eyJzaW5jZUlkIjoiMTYwNTc1OTAxNTM4OTA4Mjk1MjExMTI3ODgiLCJkaXJlY3Rpb24iOiJuZXh0IiwibGltaXQiOjF9>; rel=\"next\"`, the value of `page_info` is `eyJzaW5jZUlkIjoiMTYwNTc1OTAxNTM4OTA4Mjk1MjExMTI3ODgiLCJkaXJlY3Rpb24iOiJuZXh0IiwibGltaXQiOjF9`.\n\nFor more information on how to use pagination, refer to [Paging Mechanism](https://developer.shopline.com/docs/apps/api-instructions-for-use/paging-mechanism.md).",
        "type": "string"
      },
      "examples": {
        "Get manual collections by specifying IDs": {
          "value": ""
        },
        "Get manual collections by specifying fields": {
          "value": ""
        },
        "Get manual collections by specifying pagination info": {
          "value": "eyJzaW5jZUlkIjoiMTIyNTk3NjQ0MjUxNDE0NzY3MDkwOTMxNDQiLCJkaXJlY3Rpb24iOiJuZXh0IiwibGltaXQiOjJ9"
        },
        "Get manual collections by specifying the time range": {
          "value": ""
        }
      }
    },
    {
      "name": "title",
      "in": "query",
      "description": "The title of the collection.<br/>\nMaximum length: 255",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "title",
        "description": "The title of the collection.<br/>\nMaximum length: 255",
        "type": "string",
        "example": "This is a title"
      },
      "example": "This is a title",
      "examples": {
        "Get manual collections by specifying IDs": {
          "value": ""
        },
        "Get manual collections by specifying fields": {
          "value": ""
        },
        "Get manual collections by specifying pagination info": {
          "value": ""
        },
        "Get manual collections by specifying the time range": {
          "value": ""
        }
      }
    },
    {
      "name": "updated_at_max",
      "in": "query",
      "description": "Specify the latest update time for the collection to be queried. Collections updated before this time will be returned. Format: [ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html).",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "updated_at_max",
        "description": "Specify the latest update time for the collection to be queried. Collections updated before this time will be returned. Format: [ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html).",
        "type": "string",
        "example": "2021-09-03T14:11:54+00:00"
      },
      "example": "2021-09-03T14:11:54+00:00",
      "examples": {
        "Get manual collections by specifying IDs": {
          "value": ""
        },
        "Get manual collections by specifying fields": {
          "value": ""
        },
        "Get manual collections by specifying pagination info": {
          "value": ""
        },
        "Get manual collections by specifying the time range": {
          "value": "2023-09-03T14:11:54+00:00"
        }
      }
    },
    {
      "name": "fields",
      "in": "query",
      "description": "Specify the fields to be returned, with multiple fields separated by commas. For available fields, refer to the top-level child parameters under the `custom_collections` object in the response. ",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "fields",
        "description": "Specify the fields to be returned, with multiple fields separated by commas. For available fields, refer to the top-level child parameters under the `custom_collections` object in the response. ",
        "type": "string",
        "example": "title,handle"
      },
      "example": "title,handle",
      "examples": {
        "Get manual collections by specifying IDs": {
          "value": ""
        },
        "Get manual collections by specifying fields": {
          "value": "title,handle"
        },
        "Get manual collections by specifying pagination info": {
          "value": ""
        },
        "Get manual collections by specifying the time range": {
          "value": ""
        }
      }
    },
    {
      "name": "ids",
      "in": "query",
      "description": "The unique identifiers for collections to query, with multiple IDs separated by commas.",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "ids",
        "description": "The unique identifiers for collections to query, with multiple IDs separated by commas.",
        "type": "string",
        "example": "12257170618007271602093384,12257170618007271602083384"
      },
      "example": "12257170618007271602093384,12257170618007271602083384",
      "examples": {
        "Get manual collections by specifying pagination info": {
          "value": ""
        },
        "Get manual collections by specifying the time range": {
          "value": ""
        },
        "Get manual collections by specifying IDs": {
          "value": "12259764246208273857373144,12259764425141476709093144"
        },
        "Get manual collections by specifying fields": {
          "value": ""
        }
      }
    },
    {
      "name": "since_id",
      "in": "query",
      "description": "The ID of a specific collection. Start querying collections from this specified ID.",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "since_id",
        "description": "The ID of a specific collection. Start querying collections from this specified ID.",
        "type": "string",
        "example": "12257170618007271602093384"
      },
      "example": "12257170618007271602093384",
      "examples": {
        "Get manual collections by specifying IDs": {
          "value": ""
        },
        "Get manual collections by specifying fields": {
          "value": ""
        },
        "Get manual collections by specifying pagination info": {
          "value": ""
        },
        "Get manual collections by specifying the time range": {
          "value": ""
        }
      }
    },
    {
      "name": "updated_at_min",
      "in": "query",
      "description": "Specify the earliest update time for the collection to be queried. Collections updated on and after this time will be returned. Format: [ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html).",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "updated_at_min",
        "description": "Specify the earliest update time for the collection to be queried. Collections updated on and after this time will be returned. Format: [ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html).",
        "type": "string",
        "example": "2021-09-03T14:11:54+00:00"
      },
      "example": "2021-09-03T14:11:54+00:00",
      "examples": {
        "Get manual collections by specifying IDs": {
          "value": ""
        },
        "Get manual collections by specifying fields": {
          "value": ""
        },
        "Get manual collections by specifying pagination info": {
          "value": ""
        },
        "Get manual collections by specifying the time range": {
          "value": "2023-08-03T14:11:54+00:00"
        }
      }
    },
    {
      "name": "handle",
      "in": "query",
      "description": "The semantically unique identifier for the collection, which is generated based on `title` by default.  <br/>\nMaximum length: 255",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "handle",
        "description": "The semantically unique identifier for the collection, which is generated based on `title` by default.  <br/>\nMaximum length: 255",
        "type": "string",
        "example": "collection-handle"
      },
      "example": "collection-handle",
      "examples": {
        "Get manual collections by specifying IDs": {
          "value": ""
        },
        "Get manual collections by specifying fields": {
          "value": ""
        },
        "Get manual collections by specifying pagination info": {
          "value": ""
        },
        "Get manual collections by specifying the time range": {
          "value": ""
        }
      }
    },
    {
      "name": "Content-Type",
      "in": "header",
      "description": "The field must be set to the fixed value `application/json; charset=utf-8`.",
      "required": true,
      "schema": {
        "name": "Content-Type",
        "type": "string",
        "example": "application/json; charset=utf-8"
      }
    },
    {
      "name": "Authorization",
      "in": "header",
      "description": " The access token for the API resource. Refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then pass the obtained token in the Bearer format. ",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Authorization",
        "description": " The access token for the API resource. Refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then pass the obtained token in the Bearer format. ",
        "type": "string",
        "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
      },
      "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
    }
  ],
  "responses": {
    "200": {
      "description": "For the complete list of codes and messages, see [Http status code](https://developer.shopline.com/docs/apps/api-instructions-for-use/http-status-code.md?lang=en).",
      "headers": {
        "link": {
          "description": "The URL link that provides the pagination data. You can obtain `page_info` from this parameter for subsequent pagination requests. \n\nThis parameter is returned when the requested page has a previous or next page. \n\nFor more information on how to use pagination, refer to [Paging Mechanism](https://developer.shopline.com/docs/apps/api-instructions-for-use/paging-mechanism.md).",
          "example": "\\<https://{handle}.myshopline.com/admin/openapi/{version}/products/custom_collections.json?limit=20&page_info=eyJzaW5jZUlkIjoiMTYwNTc1OTAxNTM4OTA4Mjk1MjExMTI3ODgiLCJkaXJlY3Rpb24iOiJuZXh0IiwibGltaXQiOjF9>; rel='previous',<https://{handle}.myshopline.com/admin/openapi/{version}/products/custom_collections.json?limit=20&page_info=eyJzaW5jZUlkIjoiMTYwNTc1OTAxNTM4OTA4Mjk1MjExMTI3ODgiLCJkaXJlY3Rpb24iOiJwcmUiLCJsaW1pdCI6MX0=\\>; rel='next'"
        },
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "name": "body",
            "type": "object",
            "properties": {
              "custom_collections": {
                "name": "custom_collections",
                "description": "Collection information.",
                "type": "array",
                "items": {
                  "type": "object",
                  "properties": {
                    "created_at": {
                      "name": "created_at",
                      "description": "The date and time when the collection was created. Format: [ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html).",
                      "type": "string",
                      "example": "2021-09-03T14:11:54+00:00"
                    },
                    "handle": {
                      "name": "handle",
                      "description": "The semantically unique identifier for the collection, which is generated based on `title` by default.",
                      "type": "string",
                      "example": "collection-handle"
                    },
                    "id": {
                      "name": "id",
                      "description": "The unique identifier for the collection.",
                      "type": "string",
                      "example": "12257170618007271602093384"
                    },
                    "published_scope": {
                      "name": "published_scope",
                      "description": "The published scope of collection sales channels. The value of this field is fixed to `web`, indicating an online store. ",
                      "type": "string"
                    },
                    "title": {
                      "name": "title",
                      "description": "The title of the collection.",
                      "type": "string",
                      "example": "This is a title"
                    },
                    "updated_at": {
                      "name": "updated_at",
                      "description": "The date and time when the collection was last updated. Format: [ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html).",
                      "type": "string",
                      "example": "2021-09-04T14:11:54+00:00"
                    },
                    "banner": {
                      "name": "banner",
                      "description": "The cover image of the collection.",
                      "type": "object",
                      "properties": {
                        "alt": {
                          "name": "alt",
                          "description": "The alternative textual description of the image, usually a word or phrase with the characteristics or content of the image.",
                          "type": "string",
                          "example": "This is an image alt"
                        },
                        "src": {
                          "name": "src",
                          "description": "The link to the image, represented as a URL.",
                          "type": "string",
                          "example": "https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png"
                        }
                      },
                      "example": {
                        "alt": "This is an image alt",
                        "src": "https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png"
                      }
                    },
                    "body_html": {
                      "name": "body_html",
                      "description": "The collection description. ",
                      "type": "string",
                      "example": "This is a description"
                    },
                    "image": {
                      "name": "image",
                      "description": "Collection image.",
                      "type": "object",
                      "properties": {
                        "alt": {
                          "name": "alt",
                          "description": "The alternative textual description of the image, usually a word or phrase with the characteristics or content of the image.",
                          "type": "string",
                          "example": "This is an image alt"
                        },
                        "src": {
                          "name": "src",
                          "description": "The link to the image, represented as a URL.",
                          "type": "string",
                          "example": "https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png"
                        }
                      },
                      "example": {
                        "alt": "This is an image alt",
                        "src": "https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png"
                      }
                    },
                    "path": {
                      "name": "path",
                      "description": "The relative path of the collection page.",
                      "type": "string",
                      "example": "/collections/spring"
                    },
                    "published_at": {
                      "name": "published_at",
                      "description": "The date and time when the collection was published to the online store. Format:[ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html).",
                      "type": "string",
                      "example": "2021-09-03T14:11:54+00:00"
                    },
                    "sort_order": {
                      "name": "sort_order",
                      "description": "Indicate the sorting method of collections:\n- `best-selling`: Sort by sales volume from high to low.  \n- `alpha-asc`: Sort by collection name from A to Z.  \n- `alpha-desc`: Sort by collection name from Z to A.  \n- `updated-desc`: Sort by update time from new to old.  \n- `updated-asc`: Sort by update time from old to new.  \n- `manual`: Sort by custom order.  ",
                      "type": "string"
                    },
                    "template_path": {
                      "name": "template_path",
                      "description": "The template of theme.",
                      "type": "string",
                      "example": "templates/sortation/detail.json"
                    }
                  },
                  "example": {
                    "sort_order": null,
                    "body_html": "This is a description",
                    "id": "12257170618007271602093384",
                    "path": "/collections/spring",
                    "published_at": "2021-09-03T14:11:54+00:00",
                    "published_scope": null,
                    "template_path": "templates/sortation/detail.json",
                    "title": "This is a title",
                    "updated_at": "2021-09-04T14:11:54+00:00",
                    "banner": {
                      "alt": "This is an image alt",
                      "src": "https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png"
                    },
                    "created_at": "2021-09-03T14:11:54+00:00",
                    "handle": "collection-handle",
                    "image": {
                      "alt": "This is an image alt",
                      "src": "https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png"
                    }
                  }
                },
                "example": [
                  {
                    "id": "12257170618007271602093384",
                    "image": {
                      "alt": "This is an image alt",
                      "src": "https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png"
                    },
                    "published_at": "2021-09-03T14:11:54+00:00",
                    "published_scope": null,
                    "sort_order": null,
                    "banner": {
                      "alt": "This is an image alt",
                      "src": "https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png"
                    },
                    "body_html": "This is a description",
                    "path": "/collections/spring",
                    "template_path": "templates/sortation/detail.json",
                    "title": "This is a title",
                    "updated_at": "2021-09-04T14:11:54+00:00",
                    "created_at": "2021-09-03T14:11:54+00:00",
                    "handle": "collection-handle"
                  }
                ]
              }
            },
            "example": {
              "custom_collections": [
                {
                  "template_path": "templates/sortation/detail.json",
                  "title": "This is a title",
                  "updated_at": "2021-09-04T14:11:54+00:00",
                  "created_at": "2021-09-03T14:11:54+00:00",
                  "handle": "collection-handle",
                  "id": "12257170618007271602093384",
                  "path": "/collections/spring",
                  "published_scope": null,
                  "banner": {
                    "alt": "This is an image alt",
                    "src": "https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png"
                  },
                  "body_html": "This is a description",
                  "image": {
                    "alt": "This is an image alt",
                    "src": "https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png"
                  },
                  "published_at": "2021-09-03T14:11:54+00:00",
                  "sort_order": null
                }
              ]
            }
          },
          "examples": {
            "Get manual collections by specifying fields": {
              "description": "Get manual collections by specifying fields.",
              "value": {
                "custom_collections": [
                  {
                    "handle": "first",
                    "title": "First Custom Collection"
                  },
                  {
                    "handle": "second",
                    "title": "Second Custom Collection"
                  },
                  {
                    "title": "Third Custom Collection",
                    "handle": "third"
                  }
                ]
              }
            },
            "Get manual collections by specifying pagination info": {
              "description": "Get manual collections by specifying pagination info.",
              "value": {
                "custom_collections": [
                  {
                    "updated_at": "2023-08-29T16:23:40+08:00",
                    "banner": {
                      "alt": "This is a image alt",
                      "src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/e46e6189dd5641a3b179444cacdcdd2a_15.png?w=1024&h=1024"
                    },
                    "body_html": "This is a description",
                    "created_at": "2023-08-29T16:04:29+08:00",
                    "handle": "third",
                    "image": {
                      "alt": "This is a image alt",
                      "src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/e46e6189dd5641a3b179444cacdcdd2a_15.png?w=1024&h=1024"
                    },
                    "sort_order": "updated-asc",
                    "title": "Third Custom Collection",
                    "id": "12260895952237462871473144",
                    "published_at": "2023-08-29T16:04:29+08:00",
                    "published_scope": "web"
                  }
                ]
              }
            },
            "Get manual collections by specifying the time range": {
              "description": "Get manual collections by specifying the time range.",
              "value": {
                "custom_collections": [
                  {
                    "title": "First Custom Collection",
                    "banner": {
                      "alt": "This is a image alt",
                      "src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/e46e6189dd5641a3b179444cacdcdd2a_15.png?w=1024&h=1024"
                    },
                    "image": {
                      "alt": "This is a image alt",
                      "src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/e46e6189dd5641a3b179444cacdcdd2a_15.png?w=1024&h=1024"
                    },
                    "published_at": "2023-06-12T14:19:35+08:00",
                    "published_scope": "web",
                    "sort_order": "updated-asc",
                    "template_path": "templates/collection.html",
                    "updated_at": "2023-08-29T16:00:42+08:00",
                    "body_html": "This is a description",
                    "created_at": "2023-06-12T14:19:35+08:00",
                    "handle": "first",
                    "id": "12259764246208273857373144"
                  },
                  {
                    "handle": "second",
                    "id": "12259764425141476709093144",
                    "image": {
                      "alt": "This is a alt",
                      "src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/e46e6189dd5641a3b179444cacdcdd2a.png?w=1024&h=1024"
                    },
                    "published_scope": "web",
                    "sort_order": "manual",
                    "banner": {
                      "alt": "This is a alt",
                      "src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/e46e6189dd5641a3b179444cacdcdd2a.png?w=1024&h=1024"
                    },
                    "created_at": "2023-06-12T14:37:22+08:00",
                    "published_at": "2023-06-12T14:37:22+08:00",
                    "template_path": "templates/collection.html",
                    "title": "Second Custom Collection",
                    "updated_at": "2023-08-28T19:34:00+08:00",
                    "body_html": "<p>This is a desription</p>"
                  },
                  {
                    "banner": {
                      "alt": "This is a image alt",
                      "src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/e46e6189dd5641a3b179444cacdcdd2a_15.png?w=1024&h=1024"
                    },
                    "body_html": "This is a description",
                    "handle": "third",
                    "image": {
                      "alt": "This is a image alt",
                      "src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/e46e6189dd5641a3b179444cacdcdd2a_15.png?w=1024&h=1024"
                    },
                    "published_at": "2023-08-29T16:04:29+08:00",
                    "published_scope": "web",
                    "title": "Third Custom Collection",
                    "created_at": "2023-08-29T16:04:29+08:00",
                    "id": "12260895952237462871473144",
                    "sort_order": "updated-asc",
                    "updated_at": "2023-08-29T16:23:40+08:00"
                  }
                ]
              }
            },
            "Get manual collections by specifying IDs": {
              "description": "Get manual collections by specifying IDs.",
              "value": {
                "custom_collections": [
                  {
                    "banner": {
                      "alt": "This is a image alt",
                      "src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/e46e6189dd5641a3b179444cacdcdd2a_15.png?w=1024&h=1024"
                    },
                    "body_html": "This is a description",
                    "image": {
                      "alt": "This is a image alt",
                      "src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/e46e6189dd5641a3b179444cacdcdd2a_15.png?w=1024&h=1024"
                    },
                    "published_scope": "web",
                    "sort_order": "updated-asc",
                    "template_path": "templates/collection.html",
                    "title": "First Custom Collection",
                    "created_at": "2023-06-12T14:19:35+08:00",
                    "handle": "first",
                    "id": "12259764246208273857373144",
                    "published_at": "2023-06-12T14:19:35+08:00",
                    "updated_at": "2023-08-29T16:00:42+08:00"
                  },
                  {
                    "created_at": "2023-06-12T14:37:22+08:00",
                    "handle": "second",
                    "image": {
                      "alt": "This is a alt",
                      "src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/e46e6189dd5641a3b179444cacdcdd2a.png?w=1024&h=1024"
                    },
                    "published_scope": "web",
                    "sort_order": "manual",
                    "title": "Second Custom Collection",
                    "banner": {
                      "alt": "This is a alt",
                      "src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/e46e6189dd5641a3b179444cacdcdd2a.png?w=1024&h=1024"
                    },
                    "body_html": "<p>This is a desription</p>",
                    "id": "12259764425141476709093144",
                    "published_at": "2023-06-12T14:37:22+08:00",
                    "template_path": "templates/collection.html",
                    "updated_at": "2023-08-28T19:34:00+08:00"
                  }
                ]
              }
            }
          }
        }
      }
    },
    "401": {
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "Error message. ",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    },
    "429": {
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "Error message. ",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    }
  },
  "security": [
    {
      "oauth2": []
    }
  ],
  "method": "get",
  "path": "/products/custom_collections.json",
  "servers": [
    {
      "url": "https://{handle}.myshopline.com/admin/openapi",
      "variables": {
        "handle": {
          "default": "openapiceshidianpu",
          "description": "`handle` : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is `open001.myshopline.com` , the store handle is `open001` ."
        }
      }
    }
  ],
  "info": {
    "title": "Get manual collections",
    "version": "v20270301"
  },
  "authIndexes": [
    "read_products"
  ]
}
```